﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace DataBuildingList
{
    public partial class AddUserForm : Form
    {
        /// <summary>
        /// 用户数据
        /// </summary>
        public UserInfo User { get; set; }
        public AddUserForm()
        {
            InitializeComponent();
            User = new UserInfo();
            //绑定ID文本框数据
            this.txtId.DataBindings.Add("Text", User, "Id");
            //绑定姓名文本框数据
            this.txtName.DataBindings.Add("Text", User, "Name");
            //绑定地址文本框数据
            this.txtAddress.DataBindings.Add("Text", User, "Address");
            //绑定是否责任人数据
            this.boxIsAdmin.DataBindings.Add("Checked", User, "IsAdmin");
        }

    }
}
