﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataBuildingList
{
    public class UserInfo
    {
        public UserInfo()
        { }
        public UserInfo(int id, string name, string address, string category, bool isAdmin)
        {
            this.Id = id;
            this.Name = name;
            this.Address = address;
            this.Category = category;
            this.IsAdmin = isAdmin;
        }
        public int Id { get; set; }
        public string Name { get; set; }
        public string Address { get; set; }
        public string Category { get; set; }
        public bool IsAdmin { get; set; }
        /// <summary>
        /// 获取初始数据
        /// </summary>
        /// <returns></returns>
        public static IList<UserInfo> GetInitData()
        {
            IList<UserInfo> users = new List<UserInfo>();
            users.Add(new UserInfo(1, "万红", "重庆", "办公室", true));
            users.Add(new UserInfo(2, "陈丽", "上海", "办公室", false));
            users.Add(new UserInfo(3, "王菲", "香港", "办公室", false));
            users.Add(new UserInfo(4, "胡军", "香港", "办公室", false));


            users.Add(new UserInfo(5, "陶行知", "深圳", "财务室", true));
            users.Add(new UserInfo(6, "张静", "云南", "财务室", false));
            users.Add(new UserInfo(7, "田静", "码头", "财务室", false));
            users.Add(new UserInfo(8, "田忌", "青海", "财务室", false));
            users.Add(new UserInfo(9, "刘德华", "重庆", "财务室", false));
            users.Add(new UserInfo(10, "张杰", "珠江", "财务室", false));
            users.Add(new UserInfo(11, "张翰", "宝山", "财务室", false));

            users.Add(new UserInfo(12, "李希", "深圳", "后勤部", true));
            users.Add(new UserInfo(13, "李伟", "云南", "后勤部", false));
            users.Add(new UserInfo(14, "王晶", "码头", "后勤部", false));
            users.Add(new UserInfo(15, "刘芳", "青海", "后勤部", false));
            users.Add(new UserInfo(16, "万威", "重庆", "后勤部", false));
            users.Add(new UserInfo(17, "赵飞", "珠江", "后勤部", false));
            users.Add(new UserInfo(18, "张信哲", "宝山", "后勤部", false));

            return users;
        }
       
    }

}
